#!/bin/bash
echo Downloading latest from git repository...
set -e

wget https://raw.github.com/lucianm/vdr-plugin-skyselectfeeds/master/skyselectfeeds.c -O ../skyselectfeeds.c
DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
#VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/' | cut -d':' -f2`
#VERSION_DATE=`/bin/date +%0Y%0m%0d`
VERSION_ID=`grep '*VERSION' ../skyselectfeeds.c | cut -d "\"" -f 2 | sed 's/_//g'`
#VERSION_FULL="${VERSION_ID}+git${VERSION_DATE}"

git clone https://github.com/lucianm/vdr-plugin-skyselectfeeds.git ${DEB_SOURCE_PACKAGE}-${VERSION_ID}

sudo rm -rf ${DEB_SOURCE_PACKAGE}-${VERSION_ID}/.git*
sudo rm -rf .pc
tar cvfz "../${DEB_SOURCE_PACKAGE}_${VERSION_ID}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}-${VERSION_ID}
rm -rf ${DEB_SOURCE_PACKAGE}-${VERSION_ID}/debian
mv -f debian ${DEB_SOURCE_PACKAGE}-${VERSION_ID}
rm -rf ${DEB_SOURCE_PACKAGE}/debian/.gitignore
mv -f ${DEB_SOURCE_PACKAGE}-${VERSION_ID} .${DEB_SOURCE_PACKAGE}-${VERSION_ID}
rm -rf *
mv -f .${DEB_SOURCE_PACKAGE}-${VERSION_ID}/* .
rm -rf .${DEB_SOURCE_PACKAGE}-${VERSION_ID}
dch -m -b -v "${VERSION_ID}-1+opp~1" "Build for OPP-VDR"
dch -m -a "New upstream release"
rm -rf ../skyselectfeeds.c
